Subject: Re: [bug#28251] [PATCH 0/3] Add generic JSON importer

From: Ricardo Wurmus <[email-masked]>
Date: Thu, 28 Sep 2017 13:23:40 +0200

Ludovic Courtès <[email-masked]> writes:

> I wonder if we could further simplify the “source” part, like allowing
> (maybe optionally) for:
>
>   "source": "mirror://gnu…"
>
> and then letting the importer download the thing and fill in the hash.
> Likewise for a Git checkout:
>
>   "git": { "commit": "cabba9e"; "url": "…" };
>
> Thoughts?

I have added support for a simple source string as in the first example.
I left the support for a direct translation of origin expressions
unchanged, because I’m not sure yet how to express this.

So, right now we can do either

  "source": "mirror://gnu/hello/hello-2.10.tar.gz",

or

  "source": {
    "method": "url-fetch",
    "uri": "mirror://gnu/hello/hello-2.10.tar.gz",
    "sha256": {
      "base32": "0ssi1wpaf7plaswqqjwigppsg5fyh99vdlb9kzl7c9lng89ndq1i"
    }
  }

I’m open to simplifying this further.  What do other people think?

--
Ricardo

GPG: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
https://elephly.net